Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.monitors
Class ProfileMonitor.Monitor.CCProbe

    java.lang.Object
      avrora.monitors.ProfileMonitor.Monitor.CCProbe

All Implemented Interfaces:
  Simulator.Probe

Enclosing class:
  ProfileMonitor.Monitor

public class ProfileMonitor.Monitor.CCProbe
extends java.lang.Object
implements Simulator.Probe

The `CCProbe` class implements a probe that keeps track of the execution count of each instruction as well as the number of cycles that it has consumed.

Nested Class Summary

Nested classes inherited from class avrora.sim.Simulator.Probe
`Simulator.Probe.Empty`

Field Summary
`long[]` | `count`
`long[]` | `time`
`protected long` | `timeBegan`

Constructor Summary
`ProfileMonitor.Monitor.CCProbe(long[] ic, long[] it)`

Method Summary
`void` | `fireAfter(State state, int pc)` The `fireAfter()` method is called after the probed instruction executes.
`void` | `fireBefore(State state, int pc)` The `fireBefore()` method is called before the probed instruction executes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### count

    public final long[] count

### time

    public final long[] time

### timeBegan

    protected long timeBegan

Constructor Detail

### ProfileMonitor.Monitor.CCProbe

    public ProfileMonitor.Monitor.CCProbe(long[] ic,
                                          long[] it)

Method Detail

### fireBefore

    public void fireBefore(State state,
                           int pc)

  Description copied from interface: `Simulator.Probe`
  The `fireBefore()` method is called before the probed instruction executes.

  Specified by:
    `fireBefore` in interface `Simulator.Probe`
  Parameters:
    `state` - the state of the simulation
    `pc` - the address at which this instruction resides

### fireAfter

    public void fireAfter(State state,
                          int pc)

  Description copied from interface: `Simulator.Probe`
  The `fireAfter()` method is called after the probed instruction executes.

  Specified by:
    `fireAfter` in interface `Simulator.Probe`
  Parameters:
    `state` - the state of the simulation
    `pc` - the address at which this instruction resides

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD